/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.cocoon;

import javax.servlet.ServletContext;

import org.springframework.beans.factory.support.DefaultListableBeanFactory;
import org.springframework.context.support.GenericApplicationContext;
import org.springframework.web.context.WebApplicationContext;

public class MockWebApplicationContext extends GenericApplicationContext implements WebApplicationContext {

    ServletContext sc;

    public MockWebApplicationContext(DefaultListableBeanFactory parent, ServletContext context) {
        super(parent);
        this.sc = context;
    }

    public MockWebApplicationContext(ServletContext context) {
        this.sc = context;
    }

    @Override
    public ServletContext getServletContext() {
        return this.sc;
    }
}
